#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private itcTape[] cacheitcTape;

		
		public itcTape itcTape(string softwareDescription, string machineAccount, string softwareActivationKey, int maxItems, int filterVolume, TapeFilterBidAsk filterBidAsk, int topOffsetY, int leftOffsetX, TapePanelSize heightSizeMode, int customHeightSize, Brush guiFrameBackgroundColor, Brush guiFrameBorderColor, int fontSizeTitle, int fontSizeFigures, Brush guiTitleFontColor, Brush guiAskNormalColor, Brush guiBidNormalColor, long highVolThreshold, Brush guiAskHighVolColor, Brush guiBidHighVolColor)
		{
			return itcTape(Input, softwareDescription, machineAccount, softwareActivationKey, maxItems, filterVolume, filterBidAsk, topOffsetY, leftOffsetX, heightSizeMode, customHeightSize, guiFrameBackgroundColor, guiFrameBorderColor, fontSizeTitle, fontSizeFigures, guiTitleFontColor, guiAskNormalColor, guiBidNormalColor, highVolThreshold, guiAskHighVolColor, guiBidHighVolColor);
		}


		
		public itcTape itcTape(ISeries<double> input, string softwareDescription, string machineAccount, string softwareActivationKey, int maxItems, int filterVolume, TapeFilterBidAsk filterBidAsk, int topOffsetY, int leftOffsetX, TapePanelSize heightSizeMode, int customHeightSize, Brush guiFrameBackgroundColor, Brush guiFrameBorderColor, int fontSizeTitle, int fontSizeFigures, Brush guiTitleFontColor, Brush guiAskNormalColor, Brush guiBidNormalColor, long highVolThreshold, Brush guiAskHighVolColor, Brush guiBidHighVolColor)
		{
			if (cacheitcTape != null)
				for (int idx = 0; idx < cacheitcTape.Length; idx++)
					if (cacheitcTape[idx].SoftwareDescription == softwareDescription && cacheitcTape[idx].MachineAccount == machineAccount && cacheitcTape[idx].SoftwareActivationKey == softwareActivationKey && cacheitcTape[idx].MaxItems == maxItems && cacheitcTape[idx].FilterVolume == filterVolume && cacheitcTape[idx].FilterBidAsk == filterBidAsk && cacheitcTape[idx].TopOffsetY == topOffsetY && cacheitcTape[idx].LeftOffsetX == leftOffsetX && cacheitcTape[idx].HeightSizeMode == heightSizeMode && cacheitcTape[idx].CustomHeightSize == customHeightSize && cacheitcTape[idx].GuiFrameBackgroundColor == guiFrameBackgroundColor && cacheitcTape[idx].GuiFrameBorderColor == guiFrameBorderColor && cacheitcTape[idx].FontSizeTitle == fontSizeTitle && cacheitcTape[idx].FontSizeFigures == fontSizeFigures && cacheitcTape[idx].GuiTitleFontColor == guiTitleFontColor && cacheitcTape[idx].GuiAskNormalColor == guiAskNormalColor && cacheitcTape[idx].GuiBidNormalColor == guiBidNormalColor && cacheitcTape[idx].HighVolThreshold == highVolThreshold && cacheitcTape[idx].GuiAskHighVolColor == guiAskHighVolColor && cacheitcTape[idx].GuiBidHighVolColor == guiBidHighVolColor && cacheitcTape[idx].EqualsInput(input))
						return cacheitcTape[idx];
			return CacheIndicator<itcTape>(new itcTape(){ SoftwareDescription = softwareDescription, MachineAccount = machineAccount, SoftwareActivationKey = softwareActivationKey, MaxItems = maxItems, FilterVolume = filterVolume, FilterBidAsk = filterBidAsk, TopOffsetY = topOffsetY, LeftOffsetX = leftOffsetX, HeightSizeMode = heightSizeMode, CustomHeightSize = customHeightSize, GuiFrameBackgroundColor = guiFrameBackgroundColor, GuiFrameBorderColor = guiFrameBorderColor, FontSizeTitle = fontSizeTitle, FontSizeFigures = fontSizeFigures, GuiTitleFontColor = guiTitleFontColor, GuiAskNormalColor = guiAskNormalColor, GuiBidNormalColor = guiBidNormalColor, HighVolThreshold = highVolThreshold, GuiAskHighVolColor = guiAskHighVolColor, GuiBidHighVolColor = guiBidHighVolColor }, input, ref cacheitcTape);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.itcTape itcTape(string softwareDescription, string machineAccount, string softwareActivationKey, int maxItems, int filterVolume, TapeFilterBidAsk filterBidAsk, int topOffsetY, int leftOffsetX, TapePanelSize heightSizeMode, int customHeightSize, Brush guiFrameBackgroundColor, Brush guiFrameBorderColor, int fontSizeTitle, int fontSizeFigures, Brush guiTitleFontColor, Brush guiAskNormalColor, Brush guiBidNormalColor, long highVolThreshold, Brush guiAskHighVolColor, Brush guiBidHighVolColor)
		{
			return indicator.itcTape(Input, softwareDescription, machineAccount, softwareActivationKey, maxItems, filterVolume, filterBidAsk, topOffsetY, leftOffsetX, heightSizeMode, customHeightSize, guiFrameBackgroundColor, guiFrameBorderColor, fontSizeTitle, fontSizeFigures, guiTitleFontColor, guiAskNormalColor, guiBidNormalColor, highVolThreshold, guiAskHighVolColor, guiBidHighVolColor);
		}


		
		public Indicators.itcTape itcTape(ISeries<double> input , string softwareDescription, string machineAccount, string softwareActivationKey, int maxItems, int filterVolume, TapeFilterBidAsk filterBidAsk, int topOffsetY, int leftOffsetX, TapePanelSize heightSizeMode, int customHeightSize, Brush guiFrameBackgroundColor, Brush guiFrameBorderColor, int fontSizeTitle, int fontSizeFigures, Brush guiTitleFontColor, Brush guiAskNormalColor, Brush guiBidNormalColor, long highVolThreshold, Brush guiAskHighVolColor, Brush guiBidHighVolColor)
		{
			return indicator.itcTape(input, softwareDescription, machineAccount, softwareActivationKey, maxItems, filterVolume, filterBidAsk, topOffsetY, leftOffsetX, heightSizeMode, customHeightSize, guiFrameBackgroundColor, guiFrameBorderColor, fontSizeTitle, fontSizeFigures, guiTitleFontColor, guiAskNormalColor, guiBidNormalColor, highVolThreshold, guiAskHighVolColor, guiBidHighVolColor);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.itcTape itcTape(string softwareDescription, string machineAccount, string softwareActivationKey, int maxItems, int filterVolume, TapeFilterBidAsk filterBidAsk, int topOffsetY, int leftOffsetX, TapePanelSize heightSizeMode, int customHeightSize, Brush guiFrameBackgroundColor, Brush guiFrameBorderColor, int fontSizeTitle, int fontSizeFigures, Brush guiTitleFontColor, Brush guiAskNormalColor, Brush guiBidNormalColor, long highVolThreshold, Brush guiAskHighVolColor, Brush guiBidHighVolColor)
		{
			return indicator.itcTape(Input, softwareDescription, machineAccount, softwareActivationKey, maxItems, filterVolume, filterBidAsk, topOffsetY, leftOffsetX, heightSizeMode, customHeightSize, guiFrameBackgroundColor, guiFrameBorderColor, fontSizeTitle, fontSizeFigures, guiTitleFontColor, guiAskNormalColor, guiBidNormalColor, highVolThreshold, guiAskHighVolColor, guiBidHighVolColor);
		}


		
		public Indicators.itcTape itcTape(ISeries<double> input , string softwareDescription, string machineAccount, string softwareActivationKey, int maxItems, int filterVolume, TapeFilterBidAsk filterBidAsk, int topOffsetY, int leftOffsetX, TapePanelSize heightSizeMode, int customHeightSize, Brush guiFrameBackgroundColor, Brush guiFrameBorderColor, int fontSizeTitle, int fontSizeFigures, Brush guiTitleFontColor, Brush guiAskNormalColor, Brush guiBidNormalColor, long highVolThreshold, Brush guiAskHighVolColor, Brush guiBidHighVolColor)
		{
			return indicator.itcTape(input, softwareDescription, machineAccount, softwareActivationKey, maxItems, filterVolume, filterBidAsk, topOffsetY, leftOffsetX, heightSizeMode, customHeightSize, guiFrameBackgroundColor, guiFrameBorderColor, fontSizeTitle, fontSizeFigures, guiTitleFontColor, guiAskNormalColor, guiBidNormalColor, highVolThreshold, guiAskHighVolColor, guiBidHighVolColor);
		}

	}
}

#endregion
